×

Discussion Board

Results 1 to 13 of 13
  1. #1
    Registered User
    Join Date
    Aug 2005
    Posts
    5

    Arrow need help on NMIT editor

    i had downloaded NMIT successfully,but it does not work correcttly.
    when I want to create a new xml file throught the File->New,and press OK button, there is not response of editor.
    I just wondering whether I should re-download the NMIT tools or download any editor again.

    I am a fresh fish in this wap development, I need badly of your help!!!

    thanks advance!

  2. #2
    Registered User
    Join Date
    Aug 2005
    Posts
    5

    got answer

    can end this topic!!

  3. #3
    Registered User
    Join Date
    Sep 2005
    Posts
    1

    Unhappy Re: need help on NMIT editor

    i have the same pbs...
    there is a solution or not ?
    thank's...

  4. #4
    Registered User
    Join Date
    Mar 2003
    Posts
    5

    Re: need help on NMIT editor

    me too, i have the same prob, have read the manual, finding out the wml and xhtml editor needs a template, then i check the installation directory of NMIT, the template directory is empty (for instance D:\app\Nokia\Tools\Nokia_Mobile_Internet_Toolkit\Templates)

    is this a software bug from Nokia, can anyone or 2003xm_001 provide a solution here

  5. #5
    Registered User
    Join Date
    Mar 2003
    Posts
    111

    Re: need help on NMIT editor

    As indicated in other threads before, NMIT requires JRE 1.4.x. The XML editors of NMIT 4.1 do not work with JRE 1.5. So if you have JRE 1.5 on your machine, downgrade that to JRE 1.4.x and NMIT editors should work fine.
    Do not bother about the templates.

    -Vishu

  6. #6
    Registered User
    Join Date
    Sep 2005
    Posts
    2

    Re: need help on NMIT editor

    even i've the problem of editor, i think vishu is right i need toinstall the jre1.4 & remove my v1.5
    but my installation of mobile browser simulator hangs in the end, does anybody else have this problem???

  7. #7
    Registered User
    Join Date
    Nov 2005
    Posts
    13

    Re: need help on NMIT editor

    I had the same problem with the editor. As vishu posted (thanks!), the NMIT works fine with JRE 1.4.x..

    My note: It's not necessary to downgrade to 1.4, if you're using 1.5.x JRE. Both can be installed side by side. You only have to see, that the concerning program (in this case the NMIT) will run using the older version. The JRE 1.4.2_10 can be downloaded from sun (http://java.sun.com/j2se/1.4.2/download.html). One simple possibility, to start NMIT with JRE 1.4 is (on Windows) using a small .bat-file, in order to start the interpreter of 1.4 instead of 1.5-version.

    My .bat-file (I put in the directory, where my NMIT is installed):
    @echo off
    c:\Programme\Java\j2re1.4.2_10\bin\java -jar lib\toolkit.jar


    The beginning of the second line (of course) has to point to the directory, where you installed the Interpreter of 1.4. The file toolkit.jar (that is started by the interpreter) is in the lib-Directory below the Nokia_Mobile_Internet_Toolkit-directory. The end of the line (java -jar lib\toolkit.jar) assumes that the Batch-File is put in the Nokia_Mobile_Internet_Toolkit-directory. Possibly you can use javaw instead of java, if you don't like to see a DOS-Box.

    The key is, that you don't start the wrapper-file Tookit.exe (which always will start the newer Java), but start the jar-file directly with the older JRE. A batch-file is only one option, instaed or in addition you can use a (desktop-)shortcut.

    If you use the .bat-file (in your version!) and also want to use the entry of the NMIT in the start-(programs) menu, you have to set the target of that entry to that .bat-file (in my case: C:\Nokia\Tools\Nokia_Mobile_Internet_Toolkit\NMIT.bat) and the working-(Ausführen in) directory to the directory of the Nokia_Mobile_Internet_Toolkit.

    Hope it helps and kind regards

    jovinus

  8. #8
    Registered User
    Join Date
    Jan 2006
    Posts
    4

    Re: need help on NMIT editor

    Thanks! .......................................

  9. #9
    Registered User
    Join Date
    Feb 2006
    Posts
    1

    Re: need help on NMIT editor

    Quote Originally Posted by jovinus
    I had the same problem with the editor. As vishu posted (thanks!), the NMIT works fine with JRE 1.4.x..

    My note: It's not necessary to downgrade to 1.4, if you're using 1.5.x JRE. Both can be installed side by side. You only have to see, that the concerning program (in this case the NMIT) will run using the older version. The JRE 1.4.2_10 can be downloaded from sun (http://java.sun.com/j2se/1.4.2/download.html). One simple possibility, to start NMIT with JRE 1.4 is (on Windows) using a small .bat-file, in order to start the interpreter of 1.4 instead of 1.5-version.

    My .bat-file (I put in the directory, where my NMIT is installed):
    @echo off
    c:\Programme\Java\j2re1.4.2_10\bin\java -jar lib\toolkit.jar


    The beginning of the second line (of course) has to point to the directory, where you installed the Interpreter of 1.4. The file toolkit.jar (that is started by the interpreter) is in the lib-Directory below the Nokia_Mobile_Internet_Toolkit-directory. The end of the line (java -jar lib\toolkit.jar) assumes that the Batch-File is put in the Nokia_Mobile_Internet_Toolkit-directory. Possibly you can use javaw instead of java, if you don't like to see a DOS-Box.

    The key is, that you don't start the wrapper-file Tookit.exe (which always will start the newer Java), but start the jar-file directly with the older JRE. A batch-file is only one option, instaed or in addition you can use a (desktop-)shortcut.

    If you use the .bat-file (in your version!) and also want to use the entry of the NMIT in the start-(programs) menu, you have to set the target of that entry to that .bat-file (in my case: C:\Nokia\Tools\Nokia_Mobile_Internet_Toolkit\NMIT.bat) and the working-(Ausführen in) directory to the directory of the Nokia_Mobile_Internet_Toolkit.

    Hope it helps and kind regards

    jovinus

    Hiya!

    I have been having the same problem with some of the editors not loading so I followed your advice, but still no joy. I was wondering if I listed the steps I took, could you point out maybe where I am going wrong?

    1.
    Downloaded J2SE v 1.4.2_10 JRE from here: http://java.sun.com/j2se/1.4.2/download.html
    Installed it to the location C:\Program Files\Java.

    2.
    Created NMIT.bat with lines:

    @echo off
    C:\Program Files\Java\j2re1.4.2_10\bin\java -jar lib\toolkit.jar

    Saved the .bat file here: C:\Nokia\Tools\Nokia_Mobile_Internet_Toolkit

    3.
    I then set the entry of the NMIT app in the start menu, to the target the .bat-file (C:\Nokia\Tools\Nokia_Mobile_Internet_Toolkit\NMIT.bat) and the "Start in" target as C:\Nokia\Tools\Nokia_Mobile_Internet_Toolkit.

    But when I try to launch NMIT now, the DOS prompt pops up momentarily and disappears but the app doesn't load at all.

    Is it worth removing jre 1.5?
    What is the worst that can happen if I do?
    How would I go about unistalling it?



    Cheers!



    Trulfa

  10. #10
    Registered User
    Join Date
    Feb 2006
    Posts
    2

    Re: need help on NMIT editor

    MISTAKE thread for posting pOST sorry !

  11. #11
    Registered User
    Join Date
    Nov 2005
    Posts
    13

    Re: need help on NMIT editor

    Hi

    and sorry ,Trulfa, that I didn't answer. At that moment I'm not engaged in writing websites for mobiles and don't use the Toolkit or any other Java (already have forgotten a lot...).

    Nevertheless: I don't understand, why my proposal doesn't work. I don't see anything wrong in what you did, and have no advice. I have not been on the Nokia-Site for a long time, don't they have any hints now?! I think, they had to care about. Or you could post that problem in a Java-Forum, I'm defintly no Java-Expert.

    The worst that can happen removing it, is (IMHO) that java-programs, that explicitly require that environment, won't run anymore (or tell you, that the 1.5 jre is required and ask you to download it). It's really no problem to have more than one jre on a machine. BTW: If you are a Java-Developer and have the lastest JDK, you have a second example of the newer environment under the directory where that JDK is installed.

    To remove the (standard) jre 1.5, you can use the uninstall-option in system, software (entry: J2SE Runtime Environment 5.0 Update x). If it's worth removing it? Don't know, but I think most java programs will work with the older version too. The NMIT isn't bad. It's easy to use and especially the integrated DTD-verification and integral use of the simulators is useful, but for writing code in Wml and Xml there are many other possibilities (and editors). And -I dare to say- there are other (phone-)manufacturers too. But again: Though I worked a lot with it, Java isn't my world.

    Sorry, that it didn't work and for the poor answer now.

    Kind regards

    jovinus
    Last edited by jovinus; 2006-02-27 at 20:22.

  12. #12
    Registered User
    Join Date
    Mar 2007
    Posts
    1

    Re: need help on NMIT editor

    The location of the jar file has changed

    C:\nokia\NMIT\Tools\Nokia_Mobile_Internet_Toolkit

  13. #13
    Registered User
    Join Date
    Dec 2007
    Location
    Wellington New zealand, / Pune, India
    Posts
    22

    Re: need help on NMIT editor

    One reason is, while installing u may not have selected required editors, re-install it and select all editors is the best solution. and also install NMIT patch.

    best luck,

    Abhijeet Banode

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×